Package org.apache.lucene.util.hnsw

## Class HnswGraph.ArrayNodesIterator

- java.lang.Object
- - org.apache.lucene.util.hnsw.HnswGraph.NodesIterator
  - - org.apache.lucene.util.hnsw.HnswGraph.ArrayNodesIterator

- All Implemented Interfaces:
    `Iterator<Integer>`, `PrimitiveIterator<Integer,​IntConsumer>`, `PrimitiveIterator.OfInt`
  Enclosing class:
    HnswGraph

      public static class HnswGraph.ArrayNodesIterator
      extends HnswGraph.NodesIterator

  NodesIterator that accepts nodes as an integer array.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.PrimitiveIterator

      `PrimitiveIterator.OfDouble, PrimitiveIterator.OfInt, PrimitiveIterator.OfLong`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.hnsw.HnswGraph.NodesIterator

      `size`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayNodesIterator​(int size)` | Constructor for iterator based on the size
    `ArrayNodesIterator​(int[] nodes, int size)` | Constructor for iterator based on integer array representing nodes

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `consume​(int[] dest)` | Consume integers from the iterator and place them into the `dest` array.
    `boolean` | `hasNext()` |
    `int` | `nextInt()` |

    - ### Methods inherited from class org.apache.lucene.util.hnsw.HnswGraph.NodesIterator

      `getSortedNodes, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `remove`

    - ### Methods inherited from interface java.util.PrimitiveIterator.OfInt

      `forEachRemaining, forEachRemaining, next`

- - ### Constructor Detail

    - #### ArrayNodesIterator

          public ArrayNodesIterator​(int[] nodes,
                                    int size)

      Constructor for iterator based on integer array representing nodes

    - #### ArrayNodesIterator

          public ArrayNodesIterator​(int size)

      Constructor for iterator based on the size

  - ### Method Detail

    - #### consume

          public int consume​(int[] dest)

      Description copied from class: `HnswGraph.NodesIterator`
      Consume integers from the iterator and place them into the `dest` array.
      Specified by:
        `consume` in class `HnswGraph.NodesIterator`
      Parameters:
        `dest` - where to put the integers
      Returns:
        The number of integers written to `dest`

    - #### nextInt

          public int nextInt()

    - #### hasNext

          public boolean hasNext()